
Application: gvSIG desktop - gvSIG bugs #2426
SHP provider does not create MultiPrimitives
03/06/2014 06:26 PM - Juan Lucas Domínguez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.1.0-2260
Severity: Critical Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

SHP provider does not create MultiPrimitives

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2408: Etiquetas repetida... Closed 03/03/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2685: El proveedor de sh... Closed 07/16/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2822: Dissolve tool on l... Invalid 09/19/2014
Related to Application: gvSIG desktop - gvSIG bugs # 2690: Export to KML appl... Closed 07/21/2014

Associated revisions
Revision 41873 - 12/09/2014 02:47 PM - Joaquín  del Cerro Murciano

refs #2426, desechos los ultimos cambios que hice en el lector de shapes para que tratara de usar el API de la libreria de geometrias  para construir
estas en lugar de un generalpath.

History
#1 - 03/06/2014 06:34 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Instantiating multi-primitives and resolving holes. This will slightly damage performance if shapefile has sophisticated polygons and many holes, but
makes other parts of the application work properly.

gvsig-desktop:r41226

#2 - 03/06/2014 06:37 PM - Álvaro Anguix
- Target version set to 2.1.0-2221-testing

#3 - 03/09/2014 06:16 PM - Joaquín  del Cerro Murciano
- File error-pintado-shape-20140208-r41226.png added

#4 - 03/09/2014 06:17 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to New
- Target version changed from 2.1.0-2221-testing to 2.1.0-2222-testing
#5 - 03/09/2014 06:24 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Immediate

Cuando he ido a generar el build 2221, tras actualizarme y compilar he cargado mis capas de pruebas y he obserbado que la capa de 
provincias_andalucia no se dibujaba correctamete.

Despues de investigar un rato me he dada cuenta que el error se ha introducido en la revision r41226 que estaba asociada a este ticket.

He generado el build actualizando el fichero SHPFile.java del proyecto org.gvsig.fmap.dal.file.shp con la revision r41225.

He adjuntado captura con la renderizacion erronea que produce con la capa provincias_andalucia al aplicar los cambios de la revision r41226.

Dejo el ticket con prioridad immediate, ya que no he deshecho los cambios y si no se hace nada al respecto el error reflejado en la captura apareceria
en el proximo build.

#6 - 03/09/2014 08:50 PM - Juan Lucas Domínguez

Has hecho bien. Ese cambio era candidato a tirarse para atrás si fallaba. A ver si consigo que se generen multi-primitives correctamente.

#7 - 03/10/2014 04:08 PM - Juan Lucas Domínguez
- Assignee deleted (Juan Lucas Domínguez)

Al corregir esto, hay que probar las siguientes funcionalidades:

- probar edición de shapefiles, especialmente con polígonos que tengan agujeros
- etiquetado avanzado, una etiqueta por cada parte de la geometría
- de paso, mirar quizá shapefiles 3D

#8 - 03/13/2014 09:58 AM - Juan Lucas Domínguez
- Priority changed from Immediate to High

Restoring code that was changed trying to solve #2426. A better solution is needed.

gvsig-desktop:r41240

#9 - 03/13/2014 02:23 PM - Álvaro Anguix

JL, ¿el último comentario quiere decir que has deshecho el cambio y ya Joaquín no ha de hacer nada? ¿Lo paso entonces a la 2.2?

#10 - 03/13/2014 03:48 PM - Juan Lucas Domínguez

Hola. Sí. He tenido que deshacer el cambio ya porque Nacho (por ejemplo) está ejecutando constantemente el trunk y puede encontrar bugs
causados por no haber deshecho el cambio (por ejemplo el bug de exportar a PostGIS).
#11 - 03/13/2014 03:52 PM - Álvaro Anguix
- Target version changed from 2.1.0-2222-testing to 2.2.0-2311-rc2

#12 - 04/04/2014 10:28 AM - Álvaro Anguix
- Priority changed from High to Normal

#13 - 08/03/2014 08:44 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2259-rc3

#14 - 08/03/2014 08:45 PM - Joaquín  del Cerro Murciano
- Severity set to Critical

#15 - 08/03/2014 08:45 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2685: El proveedor de shape no trata adecuadamente los poligons internos. added

#16 - 10/13/2014 10:53 AM - Álvaro Anguix
- Related to gvSIG bugs #2822: Dissolve tool on line layers creates polygons between the lines added

#17 - 11/26/2014 07:16 AM - Álvaro Anguix
- Related to gvSIG bugs #2690: Export to KML application error added

#18 - 12/01/2014 03:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2268-rc4

#19 - 12/10/2014 10:56 AM - Álvaro Anguix
- Target version changed from 2.1.0-2268-rc4 to 2.1.0-2260
- Status changed from New to Fixed

Se ha solucionado deshaciendo un cambio anterior, con lo que se solucionan los errores de geoprocesos de disolver, área de influencia...que eran los
preocupantes de cara al usuario.
Además las capas con geometrías con null se pueden indicar en las propiedades de la capa al cargarla, con lo que no las tiene en cuenta. 
A futuro se revisará el proveedor de geometrías.
Cerramos el ticket.

#20 - 12/19/2014 10:27 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
error-pintado-shape-20140208-r41226.png 17.9 KB 03/09/2014 Joaquín  del Cerro Murciano

05/06/2024 3/3


